# X/Twitter ZK certificate (GIP-3)

### X/Twitter Data

The following table list the X/Twitter data contained in a Galactica zkCert. These need to be collected and validated by the Guardian.

<table><thead><tr><th width="232.33333333333331">Key</th><th>Description</th><th>Technical details</th></tr></thead><tbody><tr><td><code>createdAt</code></td><td>The datetime that the user account was created on Twitter.</td><td>Timestamp in <a href="https://datatracker.ietf.org/doc/html/rfc3339">RFC-3339</a> format</td></tr><tr><td><code>id</code></td><td>Numerical twitter ID.</td><td>UTF-8 String. See an example and learn more <a href="https://developer.x.com/en/docs/x-ids">here</a></td></tr><tr><td><code>followersCount</code></td><td>The number of followers this account currently has.</td><td>Whole number</td></tr><tr><td><code>followingCount</code></td><td>The number of users this account is following (AKA their “followings”).</td><td>Whole number</td></tr><tr><td><code>listedCount</code></td><td>The number of public lists that this user is a member of.</td><td>Whole number</td></tr><tr><td><code>tweetCount</code></td><td>The number of Tweets (including retweets) issued by the user.</td><td>Whole number</td></tr><tr><td><code>username</code></td><td>The screen name, handle, or alias that this user identifies themselves with.</td><td>Only latin letters, numbers or underscore are allowed. From 4 to 15 symbols. Case insensitive: before hashing it will be converted to lowercase. Lean more <a href="https://help.x.com/en/managing-your-account/x-username-rules">here</a></td></tr><tr><td><code>verified</code></td><td>When true, indicates that the user has a verified account.</td><td>Boolean</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.galactica.com/galactica-developer-documentation/guardian-guide/create-and-issue-zkkyc/zkkyc-gip-1-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
